Utils.FrequencyType (The Data Transfer Scheduler DB interface 2.1.0-SNAPSHOT API)
Date: 2018-09-22

org.gcube.datatransfer.scheduler.db.utils

## Enum Utils.FrequencyType

- java.lang.Object
- - java.lang.Enum<Utils.FrequencyType>
  - - org.gcube.datatransfer.scheduler.db.utils.Utils.FrequencyType

- All Implemented Interfaces:
    Serializable, Comparable<Utils.FrequencyType>
  Enclosing class:
    Utils

      public static enum Utils.FrequencyType
      extends Enum<Utils.FrequencyType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `perDay`
    `perHour`
    `perMinute`
    `perMonth`
    `perWeek`
    `perYear`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Utils.FrequencyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Utils.FrequencyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### perMinute

          public static final Utils.FrequencyType perMinute

    - #### perHour

          public static final Utils.FrequencyType perHour

    - #### perDay

          public static final Utils.FrequencyType perDay

    - #### perWeek

          public static final Utils.FrequencyType perWeek

    - #### perMonth

          public static final Utils.FrequencyType perMonth

    - #### perYear

          public static final Utils.FrequencyType perYear

  - ### Method Detail

    - #### values

          public static Utils.FrequencyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Utils.FrequencyType c : Utils.FrequencyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Utils.FrequencyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All Rights Reserved.